*********************************************************************** 
*                                                                     * 
* Copyright (C) 2010-2021 Micro Focus.  All Rights Reserved           * 
* This software may be used, modified, and distributed                * 
* (provided this notice is included without modification)             * 
* solely for internal demonstration purposes with other               * 
* Micro Focus software, and is otherwise subject to the EULA at       * 
* https://www.microfocus.com/en-us/legal/software-licensing.          * 
*                                                                     * 
* THIS SOFTWARE IS PROVIDED “AS IS” AND ALL IMPLIED                   * 
* WARRANTIES, INCLUDING THE IMPLIED WARRANTIES OF                     * 
* MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE,               * 
* SHALL NOT APPLY.                                                    * 
* TO THE EXTENT PERMITTED BY LAW, IN NO EVENT WILL                    * 
* MICRO FOCUS HAVE ANY LIABILITY WHATSOEVER IN CONNECTION             * 
* WITH THIS SOFTWARE.                                                 * 
*                                                                     * 
*********************************************************************** 
DEFINE FILE(BNKACC) GROUP(BANKFIL3)
DESCRIPTION(BANK Account file)
       DSNAME(MFI01V.MFIDEMO.BNKACC) STATUS(ENABLED) OPENTIME(STARTUP)
       RECORDFORMAT(F) ADD(YES) BROWSE(YES) _EXCLUSIVE(NO) DELETE(YES)
       READ(YES) UPDATE(YES) RECOVERY(BACKOUTONLY) _FILETYPE(KSDS)
       _MAXRECLEN(200) _MINRECLEN(200) _KEYPOSITION(6) _KEYLENGTH(9)
       _STARTEMPTY(NO) _DUPKEY(NO)
*      _PATH(sql://ESPACDatabase/VSAM?folder=/DATA;type=folder)
       _FILENAME(MFI01V.MFIDEMO.BNKACC.DAT) _USECATALOG(NO)
       _COLLSEQ(ASCII)
DEFINE FILE(BNKACC1) GROUP(BANKFIL3)
DESCRIPTION(BANK Account alternate index 1)
       DSNAME(MFI01V.MFIDEMO.BNKACC)
       STATUS(ENABLED) OPENTIME(STARTUP) RECORDFORMAT(F) ADD(YES)
       BROWSE(YES) _EXCLUSIVE(NO) DELETE(YES) READ(YES) UPDATE(YES)
       RECOVERY(BACKOUTONLY) _FILETYPE(ALTINDEX) _BASEFILE(BNKACC)
       _KEYPOSITION(1) _KEYLENGTH(5) _STARTEMPTY(NO) _DUPKEY(NO)
*      _PATH(sql://ESPACDatabase/VSAM?folder=/DATA;type=folder)
       _FILENAME(MFI01V.MFIDEMO.BNKACC.DAT) _USECATALOG(NO)
       _COLLSEQ(EBCDIC)
DEFINE FILE(BNKATYPE) GROUP(BANKFIL3)
DESCRIPTION(BANK Account types)
       DSNAME(MFI01V.MFIDEMO.BNKATYPE)
       STATUS(ENABLED) OPENTIME(STARTUP) RECORDFORMAT(V) ADD(YES)
       BROWSE(YES) _EXCLUSIVE(NO) DELETE(YES) READ(YES) UPDATE(YES)
       RECOVERY(BACKOUTONLY) _FILETYPE(KSDS) _MAXRECLEN(100)
       _MINRECLEN(1) _KEYPOSITION(1) _KEYLENGTH(1) _STARTEMPTY(NO)
       _DUPKEY(NO)
*      _PATH(sql://ESPACDatabase/VSAM?folder=/DATA;type=folder)
       _FILENAME(MFI01V.MFIDEMO.BNKATYPE.DAT) _USECATALOG(NO)
       _COLLSEQ(ASCII)
DEFINE FILE(BNKCUST) GROUP(BANKFIL3)
DESCRIPTION(BANK Customer file)
       DSNAME(MFI01V.MFIDEMO.BNKCUST)
       STATUS(ENABLED) OPENTIME(STARTUP) RECORDFORMAT(V) ADD(YES)
       BROWSE(YES) _EXCLUSIVE(NO) DELETE(YES) READ(YES) UPDATE(YES)
       RECOVERY(BACKOUTONLY) _FILETYPE(KSDS) _MAXRECLEN(250)
       _MINRECLEN(5) _KEYPOSITION(1) _KEYLENGTH(5) _STARTEMPTY(NO)
       _DUPKEY(NO)
*      _PATH(sql://ESPACDatabase/VSAM?folder=/DATA;type=folder)
       _FILENAME(MFI01V.MFIDEMO.BNKCUST.DAT) _USECATALOG(NO)
       _COLLSEQ(ASCII)
DEFINE FILE(BNKCUST1) GROUP(BANKFIL3)
DESCRIPTION(BANK Customer file alternate index 1)
       DSNAME(MFI01V.MFIDEMO.BNKCUST)
       STATUS(ENABLED) OPENTIME(STARTUP) RECORDFORMAT(F) ADD(YES)
       BROWSE(YES) _EXCLUSIVE(NO) DELETE(YES) READ(YES) UPDATE(YES)
       RECOVERY(BACKOUTONLY) _FILETYPE(ALTINDEX) _BASEFILE(BNKCUST)
       _KEYPOSITION(6) _KEYLENGTH(25) _STARTEMPTY(NO) _DUPKEY(YES)
*      _PATH(sql://ESPACDatabase/VSAM?folder=/DATA;type=folder)
       _FILENAME(MFI01V.MFIDEMO.BNKCUST.DAT) _USECATALOG(NO)
       _COLLSEQ(ASCII)
DEFINE FILE(BNKCUST2) GROUP(BANKFIL3)
DESCRIPTION(BANK Customer file alternate index 2)
       DSNAME(MFI01V.MFIDEMO.BNKCUST)
       STATUS(ENABLED) OPENTIME(STARTUP) RECORDFORMAT(F) ADD(YES)
       BROWSE(YES) _EXCLUSIVE(NO) DELETE(YES) READ(YES) UPDATE(YES)
       RECOVERY(BACKOUTONLY) _FILETYPE(ALTINDEX) _BASEFILE(BNKCUST)
       _KEYPOSITION(31) _KEYLENGTH(25) _STARTEMPTY(NO) _DUPKEY(YES)
*      _PATH(sql://ESPACDatabase/VSAM?folder=/DATA;type=folder)
       _FILENAME(MFI01V.MFIDEMO.BNKCUST.DAT) _USECATALOG(NO)
       _COLLSEQ(ASCII)
DEFINE FILE(BNKHELP) GROUP(BANKFIL3)
DESCRIPTION(BANK Help text file)
       DSNAME(MFI01V.MFIDEMO.BNKHELP)
       STATUS(ENABLED) OPENTIME(STARTUP) RECORDFORMAT(V) ADD(YES)
       BROWSE(YES) _EXCLUSIVE(NO) DELETE(YES) READ(YES) UPDATE(YES)
       RECOVERY(BACKOUTONLY) _FILETYPE(KSDS) _MAXRECLEN(83)
       _MINRECLEN(8) _KEYPOSITION(1) _KEYLENGTH(8) _STARTEMPTY(NO)
       _DUPKEY(NO)
*      _PATH(sql://ESPACDatabase/VSAM?folder=/DATA;type=folder)
       _FILENAME(MFI01V.MFIDEMO.BNKHELP.DAT) _USECATALOG(NO)
       _COLLSEQ(ASCII)
DEFINE FILE(BNKTXN) GROUP(BANKFIL3)
DESCRIPTION(BANK Transaction file)
       DSNAME(MFI01V.MFIDEMO.BNKTXN)
       STATUS(ENABLED) OPENTIME(STARTUP) RECORDFORMAT(V) ADD(YES)
       BROWSE(YES) _EXCLUSIVE(NO) DELETE(YES) READ(YES) UPDATE(YES)
       RECOVERY(BACKOUTONLY) _FILETYPE(KSDS) _MAXRECLEN(400)
       _MINRECLEN(42) _KEYPOSITION(17) _KEYLENGTH(26) _STARTEMPTY(NO)
       _DUPKEY(NO)
*      _PATH(sql://ESPACDatabase/VSAM?folder=/DATA;type=folder)
       _FILENAME(MFI01V.MFIDEMO.BNKTXN.DAT) _USECATALOG(NO)
       _COLLSEQ(ASCII)
DEFINE FILE(BNKTXN1) GROUP(BANKFIL3)
DESCRIPTION(BANK Transaction file alternate index)
       DSNAME(MFI01V.MFIDEMO.BNKTXN)
       STATUS(ENABLED) OPENTIME(STARTUP) RECORDFORMAT(F) ADD(YES)
       BROWSE(YES) _EXCLUSIVE(NO) DELETE(YES) READ(YES) UPDATE(YES)
       RECOVERY(BACKOUTONLY) _FILETYPE(ALTINDEX) _BASEFILE(BNKTXN)
       _KEYPOSITION(8) _KEYLENGTH(35) _STARTEMPTY(NO) _DUPKEY(YES)
*      _PATH(sql://ESPACDatabase/VSAM?folder=/DATA;type=folder)
       _FILESHAREID(F) _FILENAME(MFI01V.MFIDEMO.BNKTXN.DAT)
       _USECATALOG(NO) _COLLSEQ(ASCII)
DEFINE TRANSACTION(BANK) GROUP(BANKGRPC)
DESCRIPTION(Demo system - BANK txn)
       PROGRAM(SBANK00P) TWASIZE(0) STATUS(ENABLED) DYNAMIC(NO)
       PRIORITY(0) SPURGE(NO) TRANCLASS(DFHTCL00) DTIMOUT(0)
       INDOUBT(BACKOUT) DUMP(NO) TRACE(YES) RESSEC(NO) CMDSEC(NO)
       TRANSEC(01) RUNAWAY(65535000) _SCREEN(DEFAULT) _UCTRAN(YES)
       _INBOUNDTP(NO) _RTIMEOUT(SYSTEM) _TIMETHOLD(SYSTEM)
DEFINE TRANSACTION(CFIL) GROUP(BANKGRPC)
       PROGRAM(CLOSEFIL) TWASIZE(0) STATUS(ENABLED) DYNAMIC(NO)
       PRIORITY(0) SPURGE(NO) TRANCLASS(DFHTCL00) DTIMOUT(NO)
       INDOUBT(BACKOUT) DUMP(NO) TRACE(YES) RESSEC(NO) CMDSEC(NO)
       TRANSEC(01) RUNAWAY(0) _SCREEN(DEFAULT) _UCTRAN(YES)
       _INBOUNDTP(NO) _RTIMEOUT(0) _TIMETHOLD(0)
DEFINE TRANSACTION(OFIL) GROUP(BANKGRPC)
       PROGRAM(OPENFIL) TWASIZE(0) STATUS(ENABLED) DYNAMIC(NO)
       PRIORITY(0) SPURGE(NO) TRANCLASS(DFHTCL00) DTIMOUT(NO)
       INDOUBT(BACKOUT) DUMP(NO) TRACE(YES) RESSEC(NO) CMDSEC(NO)
       TRANSEC(01) RUNAWAY(0) _SCREEN(DEFAULT) _UCTRAN(YES)
       _INBOUNDTP(NO) _RTIMEOUT(0) _TIMETHOLD(0)
DEFINE TRANSACTION(QTRG) GROUP(BANKGRPC)
       PROGRAM(qtrgpgm) TWASIZE(0) STATUS(ENABLED) DYNAMIC(NO)
       PRIORITY(0) SPURGE(NO) TRANCLASS(DFHTCL00) DTIMOUT(0)
       INDOUBT(BACKOUT) DUMP(NO) TRACE(YES) RESSEC(NO) CMDSEC(NO)
       TRANSEC(01) RUNAWAY(65535000) _SCREEN(DEFAULT) _UCTRAN(YES)
       _INBOUNDTP(NO) _RTIMEOUT(SYSTEM) _TIMETHOLD(SYSTEM)
DEFINE TRANSACTION(SESN) GROUP(BANKGRPC)
       PROGRAM(DFHZSESN) TWASIZE(0) STATUS(ENABLED) DYNAMIC(NO)
       PRIORITY(0) SPURGE(NO) TRANCLASS(DFHTCL00) DTIMOUT(0)
       INDOUBT(BACKOUT) DUMP(NO) TRACE(YES) RESSEC(NO) CMDSEC(NO)
       TRANSEC(01) RUNAWAY(SYSTEM) _SCREEN(DEFAULT) _UCTRAN(YES)
       _INBOUNDTP(NO) _RTIMEOUT(SYSTEM) _TIMETHOLD(SYSTEM)
DEFINE PROGRAM(BBANK10P) GROUP(BANKGRPC)
       LANGUAGE(COBOL) RESIDENT(YES) STATUS(ENABLED)
       _MODULETYPE(PROGRAM) _WSSAVESTATE(NO) _MAXCOMMAREA(0)
DEFINE PROGRAM(BBANK20P) GROUP(BANKGRPC)
       LANGUAGE(COBOL) RESIDENT(YES) STATUS(ENABLED)
       _MODULETYPE(PROGRAM) _WSSAVESTATE(NO) _MAXCOMMAREA(0)
DEFINE PROGRAM(BBANK30P) GROUP(BANKGRPC)
       LANGUAGE(COBOL) RESIDENT(YES) STATUS(ENABLED)
       _MODULETYPE(PROGRAM) _WSSAVESTATE(NO) _MAXCOMMAREA(0)
DEFINE PROGRAM(BBANK35P) GROUP(BANKGRPC)
       LANGUAGE(COBOL) RESIDENT(YES) STATUS(ENABLED)
       _MODULETYPE(PROGRAM) _WSSAVESTATE(NO) _MAXCOMMAREA(0)
DEFINE PROGRAM(BBANK40P) GROUP(BANKGRPC)
       LANGUAGE(COBOL) RESIDENT(YES) STATUS(ENABLED)
       _MODULETYPE(PROGRAM) _WSSAVESTATE(NO) _MAXCOMMAREA(0)
DEFINE PROGRAM(BBANK50P) GROUP(BANKGRPC)
       LANGUAGE(COBOL) RESIDENT(YES) STATUS(ENABLED)
       _MODULETYPE(PROGRAM) _WSSAVESTATE(NO) _MAXCOMMAREA(0)
DEFINE PROGRAM(BBANK60P) GROUP(BANKGRPC)
       LANGUAGE(COBOL) RESIDENT(YES) STATUS(ENABLED)
       _MODULETYPE(PROGRAM) _WSSAVESTATE(NO) _MAXCOMMAREA(0)
DEFINE PROGRAM(BBANK70P) GROUP(BANKGRPC)
       LANGUAGE(COBOL) RESIDENT(YES) STATUS(ENABLED)
       _MODULETYPE(PROGRAM) _WSSAVESTATE(NO) _MAXCOMMAREA(0)
DEFINE PROGRAM(BBANK80P) GROUP(BANKGRPC)
       LANGUAGE(COBOL) RESIDENT(YES) STATUS(ENABLED)
       _MODULETYPE(PROGRAM) _WSSAVESTATE(NO) _MAXCOMMAREA(0)
DEFINE PROGRAM(BBANK90P) GROUP(BANKGRPC)
       LANGUAGE(COBOL) RESIDENT(YES) STATUS(ENABLED)
       _MODULETYPE(PROGRAM) _WSSAVESTATE(NO) _MAXCOMMAREA(0)
DEFINE PROGRAM(BBANK99P) GROUP(BANKGRPC)
       LANGUAGE(COBOL) RESIDENT(YES) STATUS(ENABLED)
       _MODULETYPE(PROGRAM) _WSSAVESTATE(NO) _MAXCOMMAREA(0)
DEFINE PROGRAM(BBANKZZP) GROUP(BANKGRPC)
       LANGUAGE(COBOL) RESIDENT(YES) STATUS(ENABLED)
       _MODULETYPE(PROGRAM) _WSSAVESTATE(NO) _MAXCOMMAREA(0)
DEFINE PROGRAM(DBANK01P) GROUP(BANKGRPC)
       LANGUAGE(COBOL) RESIDENT(YES) STATUS(ENABLED)
       _MODULETYPE(PROGRAM) _WSSAVESTATE(NO) _MAXCOMMAREA(0)
DEFINE PROGRAM(DBANK02P) GROUP(BANKGRPC)
       LANGUAGE(COBOL) RESIDENT(YES) STATUS(ENABLED)
       _MODULETYPE(PROGRAM) _WSSAVESTATE(NO) _MAXCOMMAREA(0)
DEFINE PROGRAM(DBANK03P) GROUP(BANKGRPC)
       LANGUAGE(COBOL) RESIDENT(YES) STATUS(ENABLED)
       _MODULETYPE(PROGRAM) _WSSAVESTATE(NO) _MAXCOMMAREA(0)
DEFINE PROGRAM(DBANK04P) GROUP(BANKGRPC)
       LANGUAGE(COBOL) RESIDENT(YES) STATUS(ENABLED)
       _MODULETYPE(PROGRAM) _WSSAVESTATE(NO) _MAXCOMMAREA(0)
DEFINE PROGRAM(DBANK05P) GROUP(BANKGRPC)
       LANGUAGE(COBOL) RESIDENT(YES) STATUS(ENABLED)
       _MODULETYPE(PROGRAM) _WSSAVESTATE(NO) _MAXCOMMAREA(0)
DEFINE PROGRAM(DBANK06P) GROUP(BANKGRPC)
       LANGUAGE(COBOL) RESIDENT(YES) STATUS(ENABLED)
       _MODULETYPE(PROGRAM) _WSSAVESTATE(NO) _MAXCOMMAREA(0)
DEFINE PROGRAM(DBANK07P) GROUP(BANKGRPC)
       LANGUAGE(COBOL) RESIDENT(YES) STATUS(ENABLED)
       _MODULETYPE(PROGRAM) _WSSAVESTATE(NO) _MAXCOMMAREA(0)
DEFINE PROGRAM(DBANK08P) GROUP(BANKGRPC)
       LANGUAGE(COBOL) RESIDENT(YES) STATUS(ENABLED)
       _MODULETYPE(PROGRAM) _WSSAVESTATE(NO) _MAXCOMMAREA(0)
DEFINE PROGRAM(DBANK09P) GROUP(BANKGRPC)
       LANGUAGE(COBOL) RESIDENT(YES) STATUS(ENABLED)
       _MODULETYPE(PROGRAM) _WSSAVESTATE(NO) _MAXCOMMAREA(0)
DEFINE PROGRAM(DBANK11P) GROUP(BANKGRPC)
       LANGUAGE(COBOL) RESIDENT(YES) STATUS(ENABLED)
       _MODULETYPE(PROGRAM) _WSSAVESTATE(NO) _MAXCOMMAREA(0)
DEFINE PROGRAM(DHELP01P) GROUP(BANKGRPC)
       LANGUAGE(COBOL) RESIDENT(YES) STATUS(ENABLED)
       _MODULETYPE(PROGRAM) _WSSAVESTATE(NO) _MAXCOMMAREA(0)
DEFINE PROGRAM(SBANK00P) GROUP(BANKGRPC)
       LANGUAGE(COBOL) RESIDENT(YES) STATUS(ENABLED)
       _MODULETYPE(PROGRAM) _WSSAVESTATE(NO) _MAXCOMMAREA(0)
DEFINE PROGRAM(SBANK10P) GROUP(BANKGRPC)
       LANGUAGE(COBOL) RESIDENT(YES) STATUS(ENABLED)
       _MODULETYPE(PROGRAM) _WSSAVESTATE(NO) _MAXCOMMAREA(0)
DEFINE PROGRAM(SBANK20P) GROUP(BANKGRPC)
       LANGUAGE(COBOL) RESIDENT(YES) STATUS(ENABLED)
       _MODULETYPE(PROGRAM) _WSSAVESTATE(NO) _MAXCOMMAREA(0)
DEFINE PROGRAM(SBANK30P) GROUP(BANKGRPC)
       LANGUAGE(COBOL) RESIDENT(YES) STATUS(ENABLED)
       _MODULETYPE(PROGRAM) _WSSAVESTATE(NO) _MAXCOMMAREA(0)
DEFINE PROGRAM(SBANK35P) GROUP(BANKGRPC)
       LANGUAGE(COBOL) RESIDENT(YES) STATUS(ENABLED)
       _MODULETYPE(PROGRAM) _WSSAVESTATE(NO) _MAXCOMMAREA(0)
DEFINE PROGRAM(SBANK40P) GROUP(BANKGRPC)
       LANGUAGE(COBOL) RESIDENT(YES) STATUS(ENABLED)
       _MODULETYPE(PROGRAM) _WSSAVESTATE(NO) _MAXCOMMAREA(0)
DEFINE PROGRAM(SBANK50P) GROUP(BANKGRPC)
       LANGUAGE(COBOL) RESIDENT(YES) STATUS(ENABLED)
       _MODULETYPE(PROGRAM) _WSSAVESTATE(NO) _MAXCOMMAREA(0)
DEFINE PROGRAM(SBANK60P) GROUP(BANKGRPC)
       LANGUAGE(COBOL) RESIDENT(YES) STATUS(ENABLED)
       _MODULETYPE(PROGRAM) _WSSAVESTATE(NO) _MAXCOMMAREA(0)
DEFINE PROGRAM(SBANK70P) GROUP(BANKGRPC)
       LANGUAGE(COBOL) RESIDENT(YES) STATUS(ENABLED)
       _MODULETYPE(PROGRAM) _WSSAVESTATE(NO) _MAXCOMMAREA(0)
DEFINE PROGRAM(SBANK80P) GROUP(BANKGRPC)
       LANGUAGE(COBOL) RESIDENT(YES) STATUS(ENABLED)
       _MODULETYPE(PROGRAM) _WSSAVESTATE(NO) _MAXCOMMAREA(0)
DEFINE PROGRAM(SBANK90P) GROUP(BANKGRPC)
       LANGUAGE(COBOL) RESIDENT(YES) STATUS(ENABLED)
       _MODULETYPE(PROGRAM) _WSSAVESTATE(NO) _MAXCOMMAREA(0)
DEFINE PROGRAM(SBANK99P) GROUP(BANKGRPC)
       LANGUAGE(COBOL) RESIDENT(NO) STATUS(ENABLED)
       _MODULETYPE(PROGRAM) _WSSAVESTATE(NO) _MAXCOMMAREA(0)
DEFINE PROGRAM(SBANKZZP) GROUP(BANKGRPC)
       LANGUAGE(COBOL) RESIDENT(YES) STATUS(ENABLED)
       _MODULETYPE(PROGRAM) _WSSAVESTATE(NO) _MAXCOMMAREA(0)
DEFINE PROGRAM(SLOAN00P) GROUP(BANKGRPC)
       LANGUAGE(COBOL) RESIDENT(NO) STATUS(ENABLED)
       _MODULETYPE(PROGRAM) _WSSAVESTATE(NO) _MAXCOMMAREA(0)
DEFINE _PGMLIST(PI) GROUP(BANKGRPC)
DESCRIPTION(PLT Startup process)
       _PGMPH(UBNKPLT1,1) _PGMPH(UBNKPLT2,2)
DEFINE JES(INITAB) GROUP(BANKJES)
DESCRIPTION(Initiator for Class AB)
       TYPE(INITIATOR) CLASSES(AB)
DEFINE TRANSACTION(IRDR) GROUP(BANKIRDR)
DESCRIPTION(CICS Submit to internal reader)
       PROGRAM(CASZIRDR) TWASIZE(0) STATUS(ENABLED) DYNAMIC(NO)
       PRIORITY(0) SPURGE(NO) TRANCLASS(DFHTCL00) DTIMOUT(0)
       INDOUBT(BACKOUT) DUMP(NO) TRACE(YES) RESSEC(NO) CMDSEC(NO)
       TRANSEC(01) RUNAWAY(65535000) _SCREEN(DEFAULT) _UCTRAN(YES)
       _INBOUNDTP(NO) _RTIMEOUT(SYSTEM) _TIMETHOLD(SYSTEM)
DEFINE TDQUEUE(IRDR) GROUP(BANKIRDR)
DESCRIPTION(Internal Reader DCT Entry)
       TYPE(INTRDR) _STATUS(ENABLED)
DEFINE TRANSACTION(/CIC) GROUP(BANKSIGN)
DESCRIPTION(Switch 3270 session to CICS)
       PROGRAM(caszxims) TWASIZE(0) STATUS(ENABLED) DYNAMIC(NO)
       PRIORITY(0) SPURGE(NO) TRANCLASS(DFHTCL00) DTIMOUT(0)
       INDOUBT(BACKOUT) DUMP(NO) TRACE(YES) RESSEC(NO) CMDSEC(NO)
       TRANSEC(01) RUNAWAY(SYSTEM) _SCREEN(DEFAULT) _UCTRAN(NO)
       _INBOUNDTP(YES) _RTIMEOUT(SYSTEM) _TIMETHOLD(SYSTEM)
DEFINE TRANSACTION(/IMS) GROUP(BANKSIGN)
DESCRIPTION(Switch 3270 session to IMS)
       PROGRAM(caszyims) TWASIZE(0) STATUS(ENABLED) DYNAMIC(NO)
       PRIORITY(0) SPURGE(NO) TRANCLASS(DFHTCL00) DTIMOUT(0)
       INDOUBT(BACKOUT) DUMP(NO) TRACE(YES) RESSEC(NO) CMDSEC(NO)
       TRANSEC(01) RUNAWAY(SYSTEM) _SCREEN(DEFAULT) _UCTRAN(NO)
       _INBOUNDTP(YES) _RTIMEOUT(SYSTEM) _TIMETHOLD(SYSTEM)
DEFINE TRANSACTION(CESF) GROUP(BANKSIGN)
DESCRIPTION(CICS Sign-Off)
       PROGRAM(caszcesn) TWASIZE(0) STATUS(ENABLED) DYNAMIC(NO)
       PRIORITY(0) SPURGE(NO) TRANCLASS(DFHTCL00) DTIMOUT(0)
       INDOUBT(BACKOUT) DUMP(NO) TRACE(YES) RESSEC(NO) CMDSEC(NO)
       TRANSEC(01) RUNAWAY(65535000) _SCREEN(DEFAULT) _UCTRAN(NO)
       _INBOUNDTP(YES) _CATEGORY(3) _RTIMEOUT(SYSTEM)
       _TIMETHOLD(SYSTEM)
DEFINE TRANSACTION(CESG) GROUP(BANKSIGN)
DESCRIPTION(CICS Sign-On (GUI))
       PROGRAM(dfhzcesg) TWASIZE(0) STATUS(ENABLED) DYNAMIC(NO)
       PRIORITY(0) SPURGE(NO) TRANCLASS(DFHTCL00) DTIMOUT(0)
       INDOUBT(BACKOUT) DUMP(NO) TRACE(YES) RESSEC(NO) CMDSEC(NO)
       TRANSEC(01) RUNAWAY(65535000) _SCREEN(DEFAULT) _UCTRAN(NO)
       _INBOUNDTP(YES) _RTIMEOUT(SYSTEM) _TIMETHOLD(SYSTEM)
DEFINE TRANSACTION(CESN) GROUP(BANKSIGN)
DESCRIPTION(CICS Sign-On)
       PROGRAM(caszcesn) TWASIZE(0) STATUS(ENABLED) DYNAMIC(NO)
       PRIORITY(0) SPURGE(NO) TRANCLASS(DFHTCL00) DTIMOUT(0)
       INDOUBT(BACKOUT) DUMP(NO) TRACE(YES) RESSEC(NO) CMDSEC(NO)
       TRANSEC(01) RUNAWAY(65535000) _SCREEN(DEFAULT) _UCTRAN(NO)
       _INBOUNDTP(YES) _CATEGORY(3) _RTIMEOUT(SYSTEM)
       _TIMETHOLD(SYSTEM)
DEFINE TRANSACTION(CSSF) GROUP(BANKSIGN)
DESCRIPTION(CICS Sign-Off (for CRTE))
       PROGRAM(caszcesn) TWASIZE(0) STATUS(ENABLED) DYNAMIC(NO)
       PRIORITY(0) SPURGE(NO) TRANCLASS(DFHTCL00) DTIMOUT(0)
       INDOUBT(BACKOUT) DUMP(NO) TRACE(YES) RESSEC(NO) CMDSEC(NO)
       TRANSEC(01) RUNAWAY(65535000) _SCREEN(DEFAULT) _UCTRAN(NO)
       _INBOUNDTP(YES) _CATEGORY(3) _RTIMEOUT(SYSTEM)
       _TIMETHOLD(SYSTEM)
DEFINE TDQUEUE(CRDI) GROUP(BANKSIGN)
DESCRIPTION(Install Log)
       TYPE(INDIRECT) INDIRECTNAME(CSSL) _STATUS(ENABLED)
DEFINE TDQUEUE(CSCS) GROUP(BANKSIGN)
DESCRIPTION(Security Log)
       TYPE(INDIRECT) INDIRECTNAME(CSSL) _STATUS(ENABLED)
DEFINE TYPETERM(DFHLU2) GROUP(BANKTYPE)
DESCRIPTION(Universal Client DFHLU2)
       DEVICE(3270) SHIPPABLE(YES) PAGESIZE(24,80) ALTPAGE(24,80)
       OBOPERID(NO) DEFSCREEN(24,80) ALTSCREEN(24,80) APLKYBD(NO)
       APLTEXT(NO) AUDIBLEALARM(YES) COLOR(YES) COPY(NO)
       DUALCASEKYBD(YES) EXTENDEDDS(YES) HILIGHT(YES) KATAKANA(NO)
       LIGHTPEN(NO) PROGSYMBOLS(NO) FORMFEED(NO) OUTLINE(NO) SOSI(NO)
       CGCSGID(0,0) ASCII(NO) SENDSIZE(0) RECEIVESIZE(0)
       ERRLASTLINE(YES) ERRINTENSIFY(NO) ERRCOLOR(RED) ERRHILIGHT(NO)
       AUTOCONNECT(NO) ATI(NO) TTI(NO) CREATESESS(NO) NEPCLASS(0)
       SIGNOFF(NO) ROUTEDMSGS(NONE) LOGONMSG(NO) BUILDCHAIN(NO)
       USERAREALEN(0) IOAREALEN(0,0) UCTRAN(YES)
       RECOVOPTION(SYSDEFAULT) RECOVNOTIFY(NONE) PRINTADAPTER(YES)
       _FEATUREBUFF(NO) _NUMLOCK(YES) _EWA(NO) _TCTUASHR(YES)
DEFINE TYPETERM(DFHPRT32) GROUP(BANKTYPE)
DESCRIPTION(IVP Printer definition)
       DEVICE(3270P) SHIPPABLE(YES) PAGESIZE(24,80) ALTPAGE(24,80)
       OBOPERID(NO) DEFSCREEN(24,80) ALTSCREEN(24,80) APLKYBD(NO)
       APLTEXT(NO) AUDIBLEALARM(YES) COLOR(YES) COPY(NO)
       DUALCASEKYBD(YES) EXTENDEDDS(YES) HILIGHT(YES) KATAKANA(NO)
       LIGHTPEN(NO) PROGSYMBOLS(NO) FORMFEED(NO) OUTLINE(NO) SOSI(NO)
       CGCSGID(0,0) ASCII(NO) SENDSIZE(0) RECEIVESIZE(0)
       ERRLASTLINE(YES) ERRINTENSIFY(NO) ERRCOLOR(RED) ERRHILIGHT(NO)
       AUTOCONNECT(NO) ATI(NO) TTI(NO) CREATESESS(NO) NEPCLASS(0)
       SIGNOFF(NO) ROUTEDMSGS(NONE) LOGONMSG(NO) BUILDCHAIN(NO)
       USERAREALEN(0) IOAREALEN(0,0) UCTRAN(TRANID)
       RECOVOPTION(SYSDEFAULT) RECOVNOTIFY(NONE) PRINTADAPTER(YES)
       _FEATUREBUFF(NO) _NUMLOCK(YES) _EWA(NO) _TCTUASHR(YES)
DEFINE TYPETERM(TERM01) GROUP(BANKTYPE)
DESCRIPTION(Micro Focus TYPETERM 1)
       DEVICE(3270) SHIPPABLE(YES) PAGESIZE(24,80) ALTPAGE(24,80)
       OBOPERID(NO) DEFSCREEN(24,80) ALTSCREEN(24,80) APLKYBD(NO)
       APLTEXT(NO) AUDIBLEALARM(YES) COLOR(YES) COPY(NO)
       DUALCASEKYBD(YES) EXTENDEDDS(YES) HILIGHT(YES) KATAKANA(NO)
       LIGHTPEN(NO) PROGSYMBOLS(NO) FORMFEED(NO) OUTLINE(NO) SOSI(NO)
       CGCSGID(0,0) ASCII(NO) SENDSIZE(0) RECEIVESIZE(0)
       ERRLASTLINE(YES) ERRINTENSIFY(NO) ERRCOLOR(RED) ERRHILIGHT(NO)
       AUTOCONNECT(NO) ATI(NO) TTI(NO) CREATESESS(NO) NEPCLASS(0)
       SIGNOFF(NO) ROUTEDMSGS(NONE) LOGONMSG(NO) BUILDCHAIN(NO)
       USERAREALEN(0) IOAREALEN(0,0) UCTRAN(TRANID)
       RECOVOPTION(SYSDEFAULT) RECOVNOTIFY(NONE) PRINTADAPTER(YES)
       _FEATUREBUFF(NO) _NUMLOCK(YES) _EWA(NO) _TCTUASHR(YES)
DEFINE TYPETERM(TERM02) GROUP(BANKTYPE)
DESCRIPTION(Micro Focus TYPETERM 2)
       DEVICE(3270) SHIPPABLE(YES) PAGESIZE(24,80) ALTPAGE(24,80)
       OBOPERID(NO) DEFSCREEN(24,80) ALTSCREEN(24,80) APLKYBD(NO)
       APLTEXT(NO) AUDIBLEALARM(YES) COLOR(YES) COPY(NO)
       DUALCASEKYBD(YES) EXTENDEDDS(YES) HILIGHT(YES) KATAKANA(NO)
       LIGHTPEN(NO) PROGSYMBOLS(NO) FORMFEED(NO) OUTLINE(NO) SOSI(NO)
       CGCSGID(0,0) ASCII(NO) SENDSIZE(0) RECEIVESIZE(0)
       ERRLASTLINE(YES) ERRINTENSIFY(NO) ERRCOLOR(RED) ERRHILIGHT(NO)
       AUTOCONNECT(NO) ATI(NO) TTI(NO) CREATESESS(NO) NEPCLASS(0)
       SIGNOFF(NO) ROUTEDMSGS(NONE) LOGONMSG(NO) BUILDCHAIN(NO)
       USERAREALEN(0) IOAREALEN(0,0) UCTRAN(TRANID)
       RECOVOPTION(SYSDEFAULT) RECOVNOTIFY(NONE) PRINTADAPTER(YES)
       _FEATUREBUFF(NO) _NUMLOCK(YES) _EWA(NO) _TCTUASHR(YES)
DEFINE TERMINAL(UCL2) GROUP(BANKTYPE)
DESCRIPTION(Universal Client 3270 Model)
       AUTINSTMODEL(ONLY) AUTINSTNAME(DFHLU2) TYPETERM(DFHLU2)
       PRINTERCOPY(NO) ALTPRINTCOPY(NO) OPERPRIORITY(0) TERMPRIORITY(0)
       INSERVICE(YES) ATTACHSEC(LOCAL)
DEFINE TYPETERM(MOD2TYPE) GROUP(BANKTERM)
DESCRIPTION(Example MOD2 typeterm)
       DEVICE(3270) SHIPPABLE(YES) PAGESIZE(24,80) ALTPAGE(24,80)
       OBOPERID(NO) DEFSCREEN(24,80) ALTSCREEN(24,80) APLKYBD(NO)
       APLTEXT(NO) AUDIBLEALARM(YES) COLOR(YES) COPY(NO)
       DUALCASEKYBD(YES) EXTENDEDDS(YES) HILIGHT(YES) KATAKANA(NO)
       LIGHTPEN(NO) PROGSYMBOLS(NO) FORMFEED(NO) OUTLINE(NO) SOSI(NO)
       CGCSGID(0,0) ASCII(NO) SENDSIZE(0) RECEIVESIZE(0)
       ERRLASTLINE(YES) ERRINTENSIFY(NO) ERRCOLOR(RED) ERRHILIGHT(NO)
       AUTOCONNECT(NO) ATI(NO) TTI(NO) CREATESESS(NO) NEPCLASS(0)
       SIGNOFF(NO) ROUTEDMSGS(NONE) LOGONMSG(NO) BUILDCHAIN(NO)
       USERAREALEN(16) IOAREALEN(0,0) UCTRAN(TRANID)
       RECOVOPTION(SYSDEFAULT) RECOVNOTIFY(NONE) PRINTADAPTER(YES)
       _FEATUREBUFF(NO) _NUMLOCK(YES) _EWA(NO) _TCTUASHR(YES)
DEFINE TYPETERM(MOD3TYPE) GROUP(BANKTERM)
DESCRIPTION(Example MOD3 typeterm)
       DEVICE(3270) SHIPPABLE(YES) PAGESIZE(32,80) ALTPAGE(32,80)
       OBOPERID(NO) DEFSCREEN(32,80) ALTSCREEN(32,80) APLKYBD(NO)
       APLTEXT(NO) AUDIBLEALARM(YES) COLOR(YES) COPY(NO)
       DUALCASEKYBD(YES) EXTENDEDDS(YES) HILIGHT(YES) KATAKANA(NO)
       LIGHTPEN(NO) PROGSYMBOLS(NO) FORMFEED(NO) OUTLINE(NO) SOSI(NO)
       CGCSGID(0,0) ASCII(NO) SENDSIZE(0) RECEIVESIZE(0)
       ERRLASTLINE(YES) ERRINTENSIFY(NO) ERRCOLOR(RED) ERRHILIGHT(NO)
       AUTOCONNECT(NO) ATI(NO) TTI(NO) CREATESESS(NO) NEPCLASS(0)
       SIGNOFF(NO) ROUTEDMSGS(NONE) LOGONMSG(NO) BUILDCHAIN(NO)
       USERAREALEN(16) IOAREALEN(0,0) UCTRAN(TRANID)
       RECOVOPTION(SYSDEFAULT) RECOVNOTIFY(NONE) PRINTADAPTER(YES)
       _FEATUREBUFF(NO) _NUMLOCK(YES) _EWA(NO) _TCTUASHR(YES)
DEFINE TYPETERM(MOD4TYPE) GROUP(BANKTERM)
DESCRIPTION(Example MOD4 typeterm)
       DEVICE(3270) SHIPPABLE(YES) PAGESIZE(43,80) ALTPAGE(43,80)
       OBOPERID(NO) DEFSCREEN(43,80) ALTSCREEN(43,80) APLKYBD(NO)
       APLTEXT(NO) AUDIBLEALARM(YES) COLOR(YES) COPY(NO)
       DUALCASEKYBD(YES) EXTENDEDDS(YES) HILIGHT(YES) KATAKANA(NO)
       LIGHTPEN(NO) PROGSYMBOLS(NO) FORMFEED(NO) OUTLINE(NO) SOSI(NO)
       CGCSGID(0,0) ASCII(NO) SENDSIZE(0) RECEIVESIZE(0)
       ERRLASTLINE(YES) ERRINTENSIFY(NO) ERRCOLOR(RED) ERRHILIGHT(NO)
       AUTOCONNECT(NO) ATI(NO) TTI(NO) CREATESESS(NO) NEPCLASS(0)
       SIGNOFF(NO) ROUTEDMSGS(NONE) LOGONMSG(NO) BUILDCHAIN(NO)
       USERAREALEN(16) IOAREALEN(0,0) UCTRAN(TRANID)
       RECOVOPTION(SYSDEFAULT) RECOVNOTIFY(NONE) PRINTADAPTER(YES)
       _FEATUREBUFF(NO) _NUMLOCK(YES) _EWA(NO) _TCTUASHR(YES)
DEFINE TYPETERM(MOD5TYPE) GROUP(BANKTERM)
DESCRIPTION(Example MOD5 typeterm)
       DEVICE(3270) SHIPPABLE(YES) PAGESIZE(27,132) ALTPAGE(27,132)
       OBOPERID(NO) DEFSCREEN(27,132) ALTSCREEN(27,132) APLKYBD(NO)
       APLTEXT(NO) AUDIBLEALARM(YES) COLOR(YES) COPY(NO)
       DUALCASEKYBD(YES) EXTENDEDDS(YES) HILIGHT(YES) KATAKANA(NO)
       LIGHTPEN(NO) PROGSYMBOLS(NO) FORMFEED(NO) OUTLINE(NO) SOSI(NO)
       CGCSGID(0,0) ASCII(NO) SENDSIZE(0) RECEIVESIZE(0)
       ERRLASTLINE(YES) ERRINTENSIFY(NO) ERRCOLOR(RED) ERRHILIGHT(NO)
       AUTOCONNECT(NO) ATI(NO) TTI(NO) CREATESESS(NO) NEPCLASS(0)
       SIGNOFF(NO) ROUTEDMSGS(NONE) LOGONMSG(NO) BUILDCHAIN(NO)
       USERAREALEN(16) IOAREALEN(0,0) UCTRAN(TRANID)
       RECOVOPTION(SYSDEFAULT) RECOVNOTIFY(NONE) PRINTADAPTER(YES)
       _FEATUREBUFF(NO) _NUMLOCK(YES) _EWA(NO) _TCTUASHR(YES)
DEFINE TYPETERM(TN32781) GROUP(BANKTERM)
DESCRIPTION(TN3270 Model 1 Terminal)
       DEVICE(3270) SHIPPABLE(NO) PAGESIZE(24,80) ALTPAGE(12,40)
       OBOPERID(YES) DEFSCREEN(24,80) ALTSCREEN(12,40) APLKYBD(NO)
       APLTEXT(NO) AUDIBLEALARM(NO) COLOR(NO) COPY(NO) DUALCASEKYBD(NO)
       EXTENDEDDS(NO) HILIGHT(NO) KATAKANA(NO) LIGHTPEN(NO)
       PROGSYMBOLS(NO) FORMFEED(NO) OUTLINE(NO) SOSI(NO) CGCSGID(0,0)
       ASCII(NO) SENDSIZE(0) RECEIVESIZE(0) ERRLASTLINE(YES)
       ERRINTENSIFY(NO) ERRCOLOR(RED) ERRHILIGHT(NO) AUTOCONNECT(NO)
       ATI(NO) TTI(NO) CREATESESS(NO) NEPCLASS(0) SIGNOFF(NO)
       ROUTEDMSGS(NONE) LOGONMSG(NO) BUILDCHAIN(YES) USERAREALEN(16)
       IOAREALEN(0,0) UCTRAN(TRANID) RECOVOPTION(SYSDEFAULT)
       RECOVNOTIFY(NONE) PRINTADAPTER(YES) _FEATUREBUFF(NO)
       _NUMLOCK(YES) _EWA(NO) _TCTUASHR(YES)
DEFINE TYPETERM(TN32781E) GROUP(BANKTERM)
DESCRIPTION(TN3270E Model 1 Terminal)
       DEVICE(3270) SHIPPABLE(NO) PAGESIZE(24,80) ALTPAGE(12,40)
       OBOPERID(YES) DEFSCREEN(24,80) ALTSCREEN(12,40) APLKYBD(NO)
       APLTEXT(NO) AUDIBLEALARM(NO) COLOR(NO) COPY(NO) DUALCASEKYBD(NO)
       EXTENDEDDS(YES) HILIGHT(YES) KATAKANA(NO) LIGHTPEN(NO)
       PROGSYMBOLS(NO) FORMFEED(NO) OUTLINE(NO) SOSI(NO) CGCSGID(0,0)
       ASCII(NO) SENDSIZE(0) RECEIVESIZE(0) ERRLASTLINE(YES)
       ERRINTENSIFY(NO) ERRCOLOR(RED) ERRHILIGHT(NO) AUTOCONNECT(NO)
       ATI(NO) TTI(NO) CREATESESS(NO) NEPCLASS(0) SIGNOFF(NO)
       ROUTEDMSGS(NONE) LOGONMSG(NO) BUILDCHAIN(YES) USERAREALEN(16)
       IOAREALEN(0,0) UCTRAN(TRANID) RECOVOPTION(SYSDEFAULT)
       RECOVNOTIFY(NONE) PRINTADAPTER(YES) _FEATUREBUFF(NO)
       _NUMLOCK(YES) _EWA(NO) _TCTUASHR(YES)
DEFINE TYPETERM(TN32782) GROUP(BANKTERM)
DESCRIPTION(TN3270 Model 2 Terminal)
       DEVICE(3270) SHIPPABLE(NO) PAGESIZE(24,80) ALTPAGE(24,80)
       OBOPERID(YES) DEFSCREEN(24,80) ALTSCREEN(24,80) APLKYBD(NO)
       APLTEXT(NO) AUDIBLEALARM(NO) COLOR(NO) COPY(NO) DUALCASEKYBD(NO)
       EXTENDEDDS(NO) HILIGHT(NO) KATAKANA(NO) LIGHTPEN(NO)
       PROGSYMBOLS(NO) FORMFEED(NO) OUTLINE(NO) SOSI(NO) CGCSGID(0,0)
       ASCII(NO) SENDSIZE(0) RECEIVESIZE(0) ERRLASTLINE(YES)
       ERRINTENSIFY(NO) ERRCOLOR(RED) ERRHILIGHT(NO) AUTOCONNECT(NO)
       ATI(NO) TTI(NO) CREATESESS(NO) NEPCLASS(0) SIGNOFF(NO)
       ROUTEDMSGS(NONE) LOGONMSG(NO) BUILDCHAIN(YES) USERAREALEN(16)
       IOAREALEN(0,0) UCTRAN(TRANID) RECOVOPTION(SYSDEFAULT)
       RECOVNOTIFY(NONE) PRINTADAPTER(YES) _FEATUREBUFF(NO)
       _NUMLOCK(YES) _EWA(NO) _TCTUASHR(YES)
DEFINE TYPETERM(TN32782E) GROUP(BANKTERM)
DESCRIPTION(TN3270E Model 2 Terminal)
       DEVICE(3270) SHIPPABLE(NO) PAGESIZE(24,80) ALTPAGE(24,80)
       OBOPERID(YES) DEFSCREEN(24,80) ALTSCREEN(24,80) APLKYBD(NO)
       APLTEXT(NO) AUDIBLEALARM(NO) COLOR(NO) COPY(NO) DUALCASEKYBD(NO)
       EXTENDEDDS(YES) HILIGHT(YES) KATAKANA(NO) LIGHTPEN(NO)
       PROGSYMBOLS(NO) FORMFEED(NO) OUTLINE(NO) SOSI(NO) CGCSGID(0,0)
       ASCII(NO) SENDSIZE(0) RECEIVESIZE(0) ERRLASTLINE(YES)
       ERRINTENSIFY(NO) ERRCOLOR(RED) ERRHILIGHT(NO) AUTOCONNECT(NO)
       ATI(NO) TTI(NO) CREATESESS(NO) NEPCLASS(0) SIGNOFF(NO)
       ROUTEDMSGS(NONE) LOGONMSG(NO) BUILDCHAIN(YES) USERAREALEN(16)
       IOAREALEN(0,0) UCTRAN(TRANID) RECOVOPTION(SYSDEFAULT)
       RECOVNOTIFY(NONE) PRINTADAPTER(YES) _FEATUREBUFF(NO)
       _NUMLOCK(YES) _EWA(NO) _TCTUASHR(YES)
DEFINE TYPETERM(TN32783) GROUP(BANKTERM)
DESCRIPTION(TN3270 Model 3 Terminal)
       DEVICE(3270) SHIPPABLE(NO) PAGESIZE(24,80) ALTPAGE(32,80)
       OBOPERID(YES) DEFSCREEN(24,80) ALTSCREEN(32,80) APLKYBD(NO)
       APLTEXT(NO) AUDIBLEALARM(NO) COLOR(NO) COPY(NO) DUALCASEKYBD(NO)
       EXTENDEDDS(NO) HILIGHT(NO) KATAKANA(NO) LIGHTPEN(NO)
       PROGSYMBOLS(NO) FORMFEED(NO) OUTLINE(NO) SOSI(NO) CGCSGID(0,0)
       ASCII(NO) SENDSIZE(0) RECEIVESIZE(0) ERRLASTLINE(YES)
       ERRINTENSIFY(NO) ERRCOLOR(RED) ERRHILIGHT(NO) AUTOCONNECT(NO)
       ATI(NO) TTI(NO) CREATESESS(NO) NEPCLASS(0) SIGNOFF(NO)
       ROUTEDMSGS(NONE) LOGONMSG(NO) BUILDCHAIN(YES) USERAREALEN(16)
       IOAREALEN(0,0) UCTRAN(TRANID) RECOVOPTION(SYSDEFAULT)
       RECOVNOTIFY(NONE) PRINTADAPTER(YES) _FEATUREBUFF(NO)
       _NUMLOCK(YES) _EWA(NO) _TCTUASHR(YES)
DEFINE TYPETERM(TN32783E) GROUP(BANKTERM)
DESCRIPTION(TN3270E Model 3 Terminal)
       DEVICE(3270) SHIPPABLE(NO) PAGESIZE(24,80) ALTPAGE(32,80)
       OBOPERID(YES) DEFSCREEN(24,80) ALTSCREEN(32,80) APLKYBD(NO)
       APLTEXT(NO) AUDIBLEALARM(NO) COLOR(NO) COPY(NO) DUALCASEKYBD(NO)
       EXTENDEDDS(YES) HILIGHT(YES) KATAKANA(NO) LIGHTPEN(NO)
       PROGSYMBOLS(NO) FORMFEED(NO) OUTLINE(NO) SOSI(NO) CGCSGID(0,0)
       ASCII(NO) SENDSIZE(0) RECEIVESIZE(0) ERRLASTLINE(YES)
       ERRINTENSIFY(NO) ERRCOLOR(RED) ERRHILIGHT(NO) AUTOCONNECT(NO)
       ATI(NO) TTI(NO) CREATESESS(NO) NEPCLASS(0) SIGNOFF(NO)
       ROUTEDMSGS(NONE) LOGONMSG(NO) BUILDCHAIN(YES) USERAREALEN(16)
       IOAREALEN(0,0) UCTRAN(TRANID) RECOVOPTION(SYSDEFAULT)
       RECOVNOTIFY(NONE) PRINTADAPTER(YES) _FEATUREBUFF(NO)
       _NUMLOCK(YES) _EWA(NO) _TCTUASHR(YES)
DEFINE TYPETERM(TN32784) GROUP(BANKTERM)
DESCRIPTION(TN3270 Model 4 Terminal)
       DEVICE(3270) SHIPPABLE(NO) PAGESIZE(24,80) ALTPAGE(43,80)
       OBOPERID(YES) DEFSCREEN(24,80) ALTSCREEN(43,80) APLKYBD(NO)
       APLTEXT(NO) AUDIBLEALARM(NO) COLOR(NO) COPY(NO) DUALCASEKYBD(NO)
       EXTENDEDDS(NO) HILIGHT(NO) KATAKANA(NO) LIGHTPEN(NO)
       PROGSYMBOLS(NO) FORMFEED(NO) OUTLINE(NO) SOSI(NO) CGCSGID(0,0)
       ASCII(NO) SENDSIZE(0) RECEIVESIZE(0) ERRLASTLINE(YES)
       ERRINTENSIFY(NO) ERRCOLOR(RED) ERRHILIGHT(NO) AUTOCONNECT(NO)
       ATI(NO) TTI(NO) CREATESESS(NO) NEPCLASS(0) SIGNOFF(NO)
       ROUTEDMSGS(NONE) LOGONMSG(NO) BUILDCHAIN(YES) USERAREALEN(16)
       IOAREALEN(0,0) UCTRAN(TRANID) RECOVOPTION(SYSDEFAULT)
       RECOVNOTIFY(NONE) PRINTADAPTER(YES) _FEATUREBUFF(NO)
       _NUMLOCK(YES) _EWA(NO) _TCTUASHR(YES)
DEFINE TYPETERM(TN32784E) GROUP(BANKTERM)
DESCRIPTION(TN3270E Model 4 Terminal)
       DEVICE(3270) SHIPPABLE(NO) PAGESIZE(24,80) ALTPAGE(43,80)
       OBOPERID(YES) DEFSCREEN(24,80) ALTSCREEN(43,80) APLKYBD(NO)
       APLTEXT(NO) AUDIBLEALARM(NO) COLOR(NO) COPY(NO) DUALCASEKYBD(NO)
       EXTENDEDDS(YES) HILIGHT(YES) KATAKANA(NO) LIGHTPEN(NO)
       PROGSYMBOLS(NO) FORMFEED(NO) OUTLINE(NO) SOSI(NO) CGCSGID(0,0)
       ASCII(NO) SENDSIZE(0) RECEIVESIZE(0) ERRLASTLINE(YES)
       ERRINTENSIFY(NO) ERRCOLOR(RED) ERRHILIGHT(NO) AUTOCONNECT(NO)
       ATI(NO) TTI(NO) CREATESESS(NO) NEPCLASS(0) SIGNOFF(NO)
       ROUTEDMSGS(NONE) LOGONMSG(NO) BUILDCHAIN(YES) USERAREALEN(16)
       IOAREALEN(0,0) UCTRAN(TRANID) RECOVOPTION(SYSDEFAULT)
       RECOVNOTIFY(NONE) PRINTADAPTER(YES) _FEATUREBUFF(NO)
       _NUMLOCK(YES) _EWA(NO) _TCTUASHR(YES)
DEFINE TYPETERM(TN32785) GROUP(BANKTERM)
DESCRIPTION(TN3270 Model 5 Terminal)
       DEVICE(3270) SHIPPABLE(NO) PAGESIZE(24,80) ALTPAGE(27,132)
       OBOPERID(YES) DEFSCREEN(24,80) ALTSCREEN(27,132) APLKYBD(NO)
       APLTEXT(NO) AUDIBLEALARM(NO) COLOR(NO) COPY(NO) DUALCASEKYBD(NO)
       EXTENDEDDS(NO) HILIGHT(NO) KATAKANA(NO) LIGHTPEN(NO)
       PROGSYMBOLS(NO) FORMFEED(NO) OUTLINE(NO) SOSI(NO) CGCSGID(0,0)
       ASCII(NO) SENDSIZE(0) RECEIVESIZE(0) ERRLASTLINE(YES)
       ERRINTENSIFY(NO) ERRCOLOR(RED) ERRHILIGHT(NO) AUTOCONNECT(NO)
       ATI(NO) TTI(NO) CREATESESS(NO) NEPCLASS(0) SIGNOFF(NO)
       ROUTEDMSGS(NONE) LOGONMSG(NO) BUILDCHAIN(YES) USERAREALEN(16)
       IOAREALEN(0,0) UCTRAN(TRANID) RECOVOPTION(SYSDEFAULT)
       RECOVNOTIFY(NONE) PRINTADAPTER(YES) _FEATUREBUFF(NO)
       _NUMLOCK(YES) _EWA(NO) _TCTUASHR(YES)
DEFINE TYPETERM(TN32785E) GROUP(BANKTERM)
DESCRIPTION(TN3270E Model 5 Terminal)
       DEVICE(3270) SHIPPABLE(NO) PAGESIZE(24,80) ALTPAGE(27,132)
       OBOPERID(YES) DEFSCREEN(24,80) ALTSCREEN(27,132) APLKYBD(NO)
       APLTEXT(NO) AUDIBLEALARM(NO) COLOR(NO) COPY(NO) DUALCASEKYBD(NO)
       EXTENDEDDS(YES) HILIGHT(YES) KATAKANA(NO) LIGHTPEN(NO)
       PROGSYMBOLS(NO) FORMFEED(NO) OUTLINE(NO) SOSI(NO) CGCSGID(0,0)
       ASCII(NO) SENDSIZE(0) RECEIVESIZE(0) ERRLASTLINE(YES)
       ERRINTENSIFY(NO) ERRCOLOR(RED) ERRHILIGHT(NO) AUTOCONNECT(NO)
       ATI(NO) TTI(NO) CREATESESS(NO) NEPCLASS(0) SIGNOFF(NO)
       ROUTEDMSGS(NONE) LOGONMSG(NO) BUILDCHAIN(YES) USERAREALEN(16)
       IOAREALEN(0,0) UCTRAN(TRANID) RECOVOPTION(SYSDEFAULT)
       RECOVNOTIFY(NONE) PRINTADAPTER(YES) _FEATUREBUFF(NO)
       _NUMLOCK(YES) _EWA(NO) _TCTUASHR(YES)
DEFINE TYPETERM(TN32791) GROUP(BANKTERM)
DESCRIPTION(TN3270 Model 1 Terminal color)
       DEVICE(3270) SHIPPABLE(NO) PAGESIZE(24,80) ALTPAGE(12,40)
       OBOPERID(YES) DEFSCREEN(24,80) ALTSCREEN(12,40) APLKYBD(NO)
       APLTEXT(NO) AUDIBLEALARM(NO) COLOR(NO) COPY(NO) DUALCASEKYBD(NO)
       EXTENDEDDS(NO) HILIGHT(NO) KATAKANA(NO) LIGHTPEN(NO)
       PROGSYMBOLS(NO) FORMFEED(NO) OUTLINE(NO) SOSI(NO) CGCSGID(0,0)
       ASCII(NO) SENDSIZE(0) RECEIVESIZE(0) ERRLASTLINE(YES)
       ERRINTENSIFY(NO) ERRCOLOR(RED) ERRHILIGHT(NO) AUTOCONNECT(NO)
       ATI(NO) TTI(NO) CREATESESS(NO) NEPCLASS(0) SIGNOFF(NO)
       ROUTEDMSGS(NONE) LOGONMSG(NO) BUILDCHAIN(YES) USERAREALEN(16)
       IOAREALEN(0,0) UCTRAN(TRANID) RECOVOPTION(SYSDEFAULT)
       RECOVNOTIFY(NONE) PRINTADAPTER(YES) _FEATUREBUFF(NO)
       _NUMLOCK(YES) _EWA(NO) _TCTUASHR(YES)
DEFINE TYPETERM(TN32791E) GROUP(BANKTERM)
DESCRIPTION(TN3270E Model 1 Terminal color)
       DEVICE(3270) SHIPPABLE(NO) PAGESIZE(24,80) ALTPAGE(12,40)
       OBOPERID(YES) DEFSCREEN(24,80) ALTSCREEN(12,40) APLKYBD(NO)
       APLTEXT(NO) AUDIBLEALARM(NO) COLOR(YES) COPY(NO)
       DUALCASEKYBD(NO) EXTENDEDDS(YES) HILIGHT(YES) KATAKANA(NO)
       LIGHTPEN(NO) PROGSYMBOLS(NO) FORMFEED(NO) OUTLINE(NO) SOSI(NO)
       CGCSGID(0,0) ASCII(NO) SENDSIZE(0) RECEIVESIZE(0)
       ERRLASTLINE(YES) ERRINTENSIFY(NO) ERRCOLOR(RED) ERRHILIGHT(NO)
       AUTOCONNECT(NO) ATI(NO) TTI(NO) CREATESESS(NO) NEPCLASS(0)
       SIGNOFF(NO) ROUTEDMSGS(NONE) LOGONMSG(NO) BUILDCHAIN(YES)
       USERAREALEN(16) IOAREALEN(0,0) UCTRAN(TRANID)
       RECOVOPTION(SYSDEFAULT) RECOVNOTIFY(NONE) PRINTADAPTER(YES)
       _FEATUREBUFF(NO) _NUMLOCK(YES) _EWA(NO) _TCTUASHR(YES)
DEFINE TYPETERM(TN32792) GROUP(BANKTERM)
DESCRIPTION(TN3270 Model 2 Terminal color)
       DEVICE(3270) SHIPPABLE(NO) PAGESIZE(24,80) ALTPAGE(24,80)
       OBOPERID(YES) DEFSCREEN(24,80) ALTSCREEN(24,80) APLKYBD(NO)
       APLTEXT(NO) AUDIBLEALARM(NO) COLOR(NO) COPY(NO) DUALCASEKYBD(NO)
       EXTENDEDDS(NO) HILIGHT(NO) KATAKANA(NO) LIGHTPEN(NO)
       PROGSYMBOLS(NO) FORMFEED(NO) OUTLINE(NO) SOSI(NO) CGCSGID(0,0)
       ASCII(NO) SENDSIZE(0) RECEIVESIZE(0) ERRLASTLINE(YES)
       ERRINTENSIFY(NO) ERRCOLOR(RED) ERRHILIGHT(NO) AUTOCONNECT(NO)
       ATI(NO) TTI(NO) CREATESESS(NO) NEPCLASS(0) SIGNOFF(NO)
       ROUTEDMSGS(NONE) LOGONMSG(NO) BUILDCHAIN(YES) USERAREALEN(16)
       IOAREALEN(0,0) UCTRAN(TRANID) RECOVOPTION(SYSDEFAULT)
       RECOVNOTIFY(NONE) PRINTADAPTER(YES) _FEATUREBUFF(NO)
       _NUMLOCK(YES) _EWA(NO) _TCTUASHR(YES)
DEFINE TYPETERM(TN32792E) GROUP(BANKTERM)
DESCRIPTION(TN3270E Model 2 Terminal color)
       DEVICE(3270) SHIPPABLE(NO) PAGESIZE(24,80) ALTPAGE(24,80)
       OBOPERID(YES) DEFSCREEN(24,80) ALTSCREEN(24,80) APLKYBD(NO)
       APLTEXT(NO) AUDIBLEALARM(NO) COLOR(YES) COPY(NO)
       DUALCASEKYBD(NO) EXTENDEDDS(YES) HILIGHT(YES) KATAKANA(NO)
       LIGHTPEN(NO) PROGSYMBOLS(NO) FORMFEED(NO) OUTLINE(NO) SOSI(NO)
       CGCSGID(0,0) ASCII(NO) SENDSIZE(0) RECEIVESIZE(0)
       ERRLASTLINE(YES) ERRINTENSIFY(NO) ERRCOLOR(RED) ERRHILIGHT(NO)
       AUTOCONNECT(NO) ATI(NO) TTI(NO) CREATESESS(NO) NEPCLASS(0)
       SIGNOFF(NO) ROUTEDMSGS(NONE) LOGONMSG(NO) BUILDCHAIN(YES)
       USERAREALEN(16) IOAREALEN(0,0) UCTRAN(TRANID)
       RECOVOPTION(SYSDEFAULT) RECOVNOTIFY(NONE) PRINTADAPTER(YES)
       _FEATUREBUFF(NO) _NUMLOCK(YES) _EWA(NO) _TCTUASHR(YES)
DEFINE TYPETERM(TN32793) GROUP(BANKTERM)
DESCRIPTION(TN3270 Model 3 Terminal color)
       DEVICE(3270) SHIPPABLE(NO) PAGESIZE(24,80) ALTPAGE(32,80)
       OBOPERID(YES) DEFSCREEN(24,80) ALTSCREEN(32,80) APLKYBD(NO)
       APLTEXT(NO) AUDIBLEALARM(NO) COLOR(NO) COPY(NO) DUALCASEKYBD(NO)
       EXTENDEDDS(NO) HILIGHT(NO) KATAKANA(NO) LIGHTPEN(NO)
       PROGSYMBOLS(NO) FORMFEED(NO) OUTLINE(NO) SOSI(NO) CGCSGID(0,0)
       ASCII(NO) SENDSIZE(0) RECEIVESIZE(0) ERRLASTLINE(YES)
       ERRINTENSIFY(NO) ERRCOLOR(RED) ERRHILIGHT(NO) AUTOCONNECT(NO)
       ATI(NO) TTI(NO) CREATESESS(NO) NEPCLASS(0) SIGNOFF(NO)
       ROUTEDMSGS(NONE) LOGONMSG(NO) BUILDCHAIN(YES) USERAREALEN(16)
       IOAREALEN(0,0) UCTRAN(TRANID) RECOVOPTION(SYSDEFAULT)
       RECOVNOTIFY(NONE) PRINTADAPTER(YES) _FEATUREBUFF(NO)
       _NUMLOCK(YES) _EWA(NO) _TCTUASHR(YES)
DEFINE TYPETERM(TN32793E) GROUP(BANKTERM)
DESCRIPTION(TN3270E Model 3 Terminal color)
       DEVICE(3270) SHIPPABLE(NO) PAGESIZE(24,80) ALTPAGE(32,80)
       OBOPERID(YES) DEFSCREEN(24,80) ALTSCREEN(32,80) APLKYBD(NO)
       APLTEXT(NO) AUDIBLEALARM(NO) COLOR(YES) COPY(NO)
       DUALCASEKYBD(NO) EXTENDEDDS(YES) HILIGHT(YES) KATAKANA(NO)
       LIGHTPEN(NO) PROGSYMBOLS(NO) FORMFEED(NO) OUTLINE(NO) SOSI(NO)
       CGCSGID(0,0) ASCII(NO) SENDSIZE(0) RECEIVESIZE(0)
       ERRLASTLINE(YES) ERRINTENSIFY(NO) ERRCOLOR(RED) ERRHILIGHT(NO)
       AUTOCONNECT(NO) ATI(NO) TTI(NO) CREATESESS(NO) NEPCLASS(0)
       SIGNOFF(NO) ROUTEDMSGS(NONE) LOGONMSG(NO) BUILDCHAIN(YES)
       USERAREALEN(16) IOAREALEN(0,0) UCTRAN(TRANID)
       RECOVOPTION(SYSDEFAULT) RECOVNOTIFY(NONE) PRINTADAPTER(YES)
       _FEATUREBUFF(NO) _NUMLOCK(YES) _EWA(NO) _TCTUASHR(YES)
DEFINE TYPETERM(TN32794) GROUP(BANKTERM)
DESCRIPTION(TN3270 Model 4 Terminal color)
       DEVICE(3270) SHIPPABLE(NO) PAGESIZE(24,80) ALTPAGE(43,80)
       OBOPERID(YES) DEFSCREEN(24,80) ALTSCREEN(43,80) APLKYBD(NO)
       APLTEXT(NO) AUDIBLEALARM(NO) COLOR(NO) COPY(NO) DUALCASEKYBD(NO)
       EXTENDEDDS(NO) HILIGHT(NO) KATAKANA(NO) LIGHTPEN(NO)
       PROGSYMBOLS(NO) FORMFEED(NO) OUTLINE(NO) SOSI(NO) CGCSGID(0,0)
       ASCII(NO) SENDSIZE(0) RECEIVESIZE(0) ERRLASTLINE(YES)
       ERRINTENSIFY(NO) ERRCOLOR(RED) ERRHILIGHT(NO) AUTOCONNECT(NO)
       ATI(NO) TTI(NO) CREATESESS(NO) NEPCLASS(0) SIGNOFF(NO)
       ROUTEDMSGS(NONE) LOGONMSG(NO) BUILDCHAIN(YES) USERAREALEN(16)
       IOAREALEN(0,0) UCTRAN(TRANID) RECOVOPTION(SYSDEFAULT)
       RECOVNOTIFY(NONE) PRINTADAPTER(YES) _FEATUREBUFF(NO)
       _NUMLOCK(YES) _EWA(NO) _TCTUASHR(YES)
DEFINE TYPETERM(TN32794E) GROUP(BANKTERM)
DESCRIPTION(TN3270E Model 4 Terminal color)
       DEVICE(3270) SHIPPABLE(NO) PAGESIZE(24,80) ALTPAGE(43,80)
       OBOPERID(YES) DEFSCREEN(24,80) ALTSCREEN(43,80) APLKYBD(NO)
       APLTEXT(NO) AUDIBLEALARM(NO) COLOR(YES) COPY(NO)
       DUALCASEKYBD(NO) EXTENDEDDS(YES) HILIGHT(YES) KATAKANA(NO)
       LIGHTPEN(NO) PROGSYMBOLS(NO) FORMFEED(NO) OUTLINE(NO) SOSI(NO)
       CGCSGID(0,0) ASCII(NO) SENDSIZE(0) RECEIVESIZE(0)
       ERRLASTLINE(YES) ERRINTENSIFY(NO) ERRCOLOR(RED) ERRHILIGHT(NO)
       AUTOCONNECT(NO) ATI(NO) TTI(NO) CREATESESS(NO) NEPCLASS(0)
       SIGNOFF(NO) ROUTEDMSGS(NONE) LOGONMSG(NO) BUILDCHAIN(YES)
       USERAREALEN(16) IOAREALEN(0,0) UCTRAN(TRANID)
       RECOVOPTION(SYSDEFAULT) RECOVNOTIFY(NONE) PRINTADAPTER(YES)
       _FEATUREBUFF(NO) _NUMLOCK(YES) _EWA(NO) _TCTUASHR(YES)
DEFINE TYPETERM(TN32795) GROUP(BANKTERM)
DESCRIPTION(TN3270 Model 5 Terminal color)
       DEVICE(3270) SHIPPABLE(NO) PAGESIZE(24,80) ALTPAGE(27,132)
       OBOPERID(YES) DEFSCREEN(24,80) ALTSCREEN(27,132) APLKYBD(NO)
       APLTEXT(NO) AUDIBLEALARM(NO) COLOR(NO) COPY(NO) DUALCASEKYBD(NO)
       EXTENDEDDS(NO) HILIGHT(NO) KATAKANA(NO) LIGHTPEN(NO)
       PROGSYMBOLS(NO) FORMFEED(NO) OUTLINE(NO) SOSI(NO) CGCSGID(0,0)
       ASCII(NO) SENDSIZE(0) RECEIVESIZE(0) ERRLASTLINE(YES)
       ERRINTENSIFY(NO) ERRCOLOR(RED) ERRHILIGHT(NO) AUTOCONNECT(NO)
       ATI(NO) TTI(NO) CREATESESS(NO) NEPCLASS(0) SIGNOFF(NO)
       ROUTEDMSGS(NONE) LOGONMSG(NO) BUILDCHAIN(YES) USERAREALEN(16)
       IOAREALEN(0,0) UCTRAN(TRANID) RECOVOPTION(SYSDEFAULT)
       RECOVNOTIFY(NONE) PRINTADAPTER(YES) _FEATUREBUFF(NO)
       _NUMLOCK(YES) _EWA(NO) _TCTUASHR(YES)
DEFINE TYPETERM(TN32795E) GROUP(BANKTERM)
DESCRIPTION(TN3270E Model 5 Terminal color)
       DEVICE(3270) SHIPPABLE(NO) PAGESIZE(24,80) ALTPAGE(27,132)
       OBOPERID(YES) DEFSCREEN(24,80) ALTSCREEN(27,132) APLKYBD(NO)
       APLTEXT(NO) AUDIBLEALARM(NO) COLOR(YES) COPY(NO)
       DUALCASEKYBD(NO) EXTENDEDDS(YES) HILIGHT(YES) KATAKANA(NO)
       LIGHTPEN(NO) PROGSYMBOLS(NO) FORMFEED(NO) OUTLINE(NO) SOSI(NO)
       CGCSGID(0,0) ASCII(NO) SENDSIZE(0) RECEIVESIZE(0)
       ERRLASTLINE(YES) ERRINTENSIFY(NO) ERRCOLOR(RED) ERRHILIGHT(NO)
       AUTOCONNECT(NO) ATI(NO) TTI(NO) CREATESESS(NO) NEPCLASS(0)
       SIGNOFF(NO) ROUTEDMSGS(NONE) LOGONMSG(NO) BUILDCHAIN(YES)
       USERAREALEN(16) IOAREALEN(0,0) UCTRAN(TRANID)
       RECOVOPTION(SYSDEFAULT) RECOVNOTIFY(NONE) PRINTADAPTER(YES)
       _FEATUREBUFF(NO) _NUMLOCK(YES) _EWA(NO) _TCTUASHR(YES)
DEFINE TERMINAL(M81) GROUP(BANKTERM)
DESCRIPTION(Example TN3270 Mod 1 terminal)
       AUTINSTMODEL(ONLY) AUTINSTNAME(TN32781) TYPETERM(TN32781)
       NETNAME(NETM81) PRINTERCOPY(NO) ALTPRINTCOPY(NO) OPERPRIORITY(0)
       TERMPRIORITY(0) INSERVICE(YES) ATTACHSEC(LOCAL)
DEFINE TERMINAL(M81E) GROUP(BANKTERM)
DESCRIPTION(Example TN3270E Mod 1 terminal)
       AUTINSTMODEL(ONLY) AUTINSTNAME(TN32781E) TYPETERM(TN32781E)
       NETNAME(NETM81E) PRINTERCOPY(NO) ALTPRINTCOPY(NO)
       OPERPRIORITY(0) TERMPRIORITY(0) INSERVICE(YES) ATTACHSEC(LOCAL)
DEFINE TERMINAL(M82) GROUP(BANKTERM)
DESCRIPTION(Example TN3270 Mod 2 terminal)
       AUTINSTMODEL(ONLY) AUTINSTNAME(TN32782) TYPETERM(TN32782)
       NETNAME(NETM82) PRINTERCOPY(NO) ALTPRINTCOPY(NO) OPERPRIORITY(0)
       NATLANG(E) TERMPRIORITY(0) INSERVICE(YES) ATTACHSEC(LOCAL)
DEFINE TERMINAL(M82E) GROUP(BANKTERM)
DESCRIPTION(Example TN3270E Mod 2 terminal)
       AUTINSTMODEL(ONLY) AUTINSTNAME(TN32782E) TYPETERM(TN32782E)
       NETNAME(NETM82E) PRINTERCOPY(NO) ALTPRINTCOPY(NO)
       OPERPRIORITY(0) NATLANG(E) TERMPRIORITY(0) INSERVICE(YES)
       ATTACHSEC(LOCAL)
DEFINE TERMINAL(M83) GROUP(BANKTERM)
DESCRIPTION(Example TN3270 Mod 3 terminal)
       AUTINSTMODEL(ONLY) AUTINSTNAME(TN32783) TYPETERM(TN32783)
       NETNAME(NETM83) PRINTERCOPY(NO) ALTPRINTCOPY(NO) OPERPRIORITY(0)
       NATLANG(E) TERMPRIORITY(0) INSERVICE(YES) ATTACHSEC(LOCAL)
DEFINE TERMINAL(M83E) GROUP(BANKTERM)
DESCRIPTION(Example TN3270E Mod 3 terminal)
       AUTINSTMODEL(ONLY) AUTINSTNAME(TN32783E) TYPETERM(TN32783E)
       NETNAME(NETM83E) PRINTERCOPY(NO) ALTPRINTCOPY(NO)
       OPERPRIORITY(0) NATLANG(E) TERMPRIORITY(0) INSERVICE(YES)
       ATTACHSEC(LOCAL)
DEFINE TERMINAL(M84) GROUP(BANKTERM)
DESCRIPTION(Example TN3270 Mod 4 terminal)
       AUTINSTMODEL(ONLY) AUTINSTNAME(TN32784) TYPETERM(TN32784)
       NETNAME(NETM84) PRINTERCOPY(NO) ALTPRINTCOPY(NO) OPERPRIORITY(0)
       TERMPRIORITY(0) INSERVICE(YES) ATTACHSEC(LOCAL)
DEFINE TERMINAL(M84E) GROUP(BANKTERM)
DESCRIPTION(Example TN3270E Mod 4 terminal)
       AUTINSTMODEL(ONLY) AUTINSTNAME(TN32784E) TYPETERM(TN32784E)
       NETNAME(NETM84E) PRINTERCOPY(NO) ALTPRINTCOPY(NO)
       OPERPRIORITY(0) TERMPRIORITY(0) INSERVICE(YES) ATTACHSEC(LOCAL)
DEFINE TERMINAL(M85) GROUP(BANKTERM)
DESCRIPTION(Example TN3270 Mod 5 terminal)
       AUTINSTMODEL(ONLY) AUTINSTNAME(TN32785) TYPETERM(TN32785)
       NETNAME(NETM85) PRINTERCOPY(NO) ALTPRINTCOPY(NO) OPERPRIORITY(0)
       TERMPRIORITY(0) INSERVICE(YES) ATTACHSEC(LOCAL)
DEFINE TERMINAL(M85E) GROUP(BANKTERM)
DESCRIPTION(Example TN3270E Mod 5 terminal)
       AUTINSTMODEL(ONLY) AUTINSTNAME(TN32785E) TYPETERM(TN32785E)
       NETNAME(NETM85E) PRINTERCOPY(NO) ALTPRINTCOPY(NO)
       OPERPRIORITY(0) TERMPRIORITY(0) INSERVICE(YES) ATTACHSEC(LOCAL)
DEFINE TERMINAL(M91) GROUP(BANKTERM)
DESCRIPTION(Example TN3270 Mod 1 terminal)
       AUTINSTMODEL(ONLY) AUTINSTNAME(TN32791) TYPETERM(TN32791)
       NETNAME(NETM91) PRINTERCOPY(NO) ALTPRINTCOPY(NO) OPERPRIORITY(0)
       TERMPRIORITY(0) INSERVICE(YES) ATTACHSEC(LOCAL)
DEFINE TERMINAL(M91E) GROUP(BANKTERM)
DESCRIPTION(Example TN3270E Mod 1 terminal)
       AUTINSTMODEL(ONLY) AUTINSTNAME(TN32791E) TYPETERM(TN32791E)
       NETNAME(NETM91E) PRINTERCOPY(NO) ALTPRINTCOPY(NO)
       OPERPRIORITY(0) TERMPRIORITY(0) INSERVICE(YES) ATTACHSEC(LOCAL)
DEFINE TERMINAL(M92) GROUP(BANKTERM)
DESCRIPTION(Example TN3270 Mod 2 terminal)
       AUTINSTMODEL(ONLY) AUTINSTNAME(TN32792) TYPETERM(TN32792)
       NETNAME(NETM92) PRINTERCOPY(NO) ALTPRINTCOPY(NO) OPERPRIORITY(0)
       TERMPRIORITY(0) INSERVICE(YES) ATTACHSEC(LOCAL)
DEFINE TERMINAL(M92E) GROUP(BANKTERM)
DESCRIPTION(Example TN3270E Mod 2 terminal)
       AUTINSTMODEL(ONLY) AUTINSTNAME(TN32792E) TYPETERM(TN32792E)
       NETNAME(NETM92E) PRINTERCOPY(NO) ALTPRINTCOPY(NO)
       OPERPRIORITY(0) TERMPRIORITY(0) INSERVICE(YES) ATTACHSEC(LOCAL)
DEFINE TERMINAL(M93) GROUP(BANKTERM)
DESCRIPTION(Example TN3270 Mod 3 terminal)
       AUTINSTMODEL(ONLY) AUTINSTNAME(TN32793) TYPETERM(TN32793)
       NETNAME(NETM93) PRINTERCOPY(NO) ALTPRINTCOPY(NO) OPERPRIORITY(0)
       TERMPRIORITY(0) INSERVICE(YES) ATTACHSEC(LOCAL)
DEFINE TERMINAL(M93E) GROUP(BANKTERM)
DESCRIPTION(Example TN3270E Mod 3 terminal)
       AUTINSTMODEL(ONLY) AUTINSTNAME(TN32793E) TYPETERM(TN32793E)
       NETNAME(NETM93E) PRINTERCOPY(NO) ALTPRINTCOPY(NO)
       OPERPRIORITY(0) TERMPRIORITY(0) INSERVICE(YES) ATTACHSEC(LOCAL)
DEFINE TERMINAL(M94) GROUP(BANKTERM)
DESCRIPTION(Example TN3270 Mod 4 terminal)
       AUTINSTMODEL(ONLY) AUTINSTNAME(TN32794) TYPETERM(TN32794)
       NETNAME(NETM94) PRINTERCOPY(NO) ALTPRINTCOPY(NO) OPERPRIORITY(0)
       TERMPRIORITY(0) INSERVICE(YES) ATTACHSEC(LOCAL)
DEFINE TERMINAL(M94E) GROUP(BANKTERM)
DESCRIPTION(Example TN3270E Mod 4 terminal)
       AUTINSTMODEL(ONLY) AUTINSTNAME(TN32794E) TYPETERM(TN32794E)
       NETNAME(NETM94E) PRINTERCOPY(NO) ALTPRINTCOPY(NO)
       OPERPRIORITY(0) TERMPRIORITY(0) INSERVICE(YES) ATTACHSEC(LOCAL)
DEFINE TERMINAL(M95) GROUP(BANKTERM)
DESCRIPTION(Example TN3270 Mod 5 terminal)
       AUTINSTMODEL(ONLY) AUTINSTNAME(TN32795) TYPETERM(TN32795)
       NETNAME(NETM95) PRINTERCOPY(NO) ALTPRINTCOPY(NO) OPERPRIORITY(0)
       TERMPRIORITY(0) INSERVICE(YES) ATTACHSEC(LOCAL)
DEFINE TERMINAL(M95E) GROUP(BANKTERM)
DESCRIPTION(Example TN3270E Mod 5 terminal)
       AUTINSTMODEL(ONLY) AUTINSTNAME(TN32795E) TYPETERM(TN32795E)
       NETNAME(NETM95E) PRINTERCOPY(NO) ALTPRINTCOPY(NO)
       OPERPRIORITY(0) TERMPRIORITY(0) INSERVICE(YES) ATTACHSEC(LOCAL)
DEFINE TERMINAL(MOD2) GROUP(BANKTERM)
DESCRIPTION(Example MOD2 terminal)
       AUTINSTMODEL(ONLY) AUTINSTNAME(MODMOD2) TYPETERM(MOD2TYPE)
       NETNAME(NETMOD2) PRINTERCOPY(NO) ALTPRINTCOPY(NO)
       OPERPRIORITY(0) TERMPRIORITY(0) INSERVICE(YES) ATTACHSEC(LOCAL)
DEFINE TERMINAL(MOD3) GROUP(BANKTERM)
DESCRIPTION(Example MOD3 terminal)
       AUTINSTMODEL(ONLY) AUTINSTNAME(MODMOD3) TYPETERM(MOD3TYPE)
       NETNAME(NETMOD3) PRINTERCOPY(NO) ALTPRINTCOPY(NO)
       OPERPRIORITY(0) TERMPRIORITY(0) INSERVICE(YES) ATTACHSEC(LOCAL)
DEFINE TERMINAL(MOD4) GROUP(BANKTERM)
DESCRIPTION(Example MOD4 terminal)
       AUTINSTMODEL(ONLY) AUTINSTNAME(MODMOD4) TYPETERM(MOD4TYPE)
       NETNAME(NETMOD4) PRINTERCOPY(NO) ALTPRINTCOPY(NO)
       OPERPRIORITY(0) TERMPRIORITY(0) INSERVICE(YES) ATTACHSEC(LOCAL)
DEFINE TERMINAL(MOD5) GROUP(BANKTERM)
DESCRIPTION(Example MOD5 terminal)
       AUTINSTMODEL(ONLY) AUTINSTNAME(MODMOD5) TYPETERM(MOD5TYPE)
       NETNAME(NETMOD5) PRINTERCOPY(NO) ALTPRINTCOPY(NO)
       OPERPRIORITY(0) TERMPRIORITY(0) INSERVICE(YES) ATTACHSEC(LOCAL)
DEFINE _SIT(BNKCICV)
DESCRIPTION(CICS BANK Demo SIT (VSAM - cataloged))
       _CWASIZE(512) _COMMAREAOVR(0) _SHAREDPAGES(256) _SERVERS(2)
       _TRTSIZE(341) _SYSID(CICV) _INITIALTRAN(CSGM) _PLTPILIST(PI)
       _STARTUPLIST(BANKCICV) _RETRIEVECMD(P/) _CHAINCMD(C/)
       _PURGECMD(D/) _COPYCMD(T/) _ABENDDUMP(NO) _DATEFORMAT(MMDDYY)
       _DATESEP(/) _TIMESEP(:) _AUTORSTTIME(IMMEDIATE)
       _FSHRUSERID(SYSAD) _FSHRPASSWD(SYSAD) _PRINTSUPP(YES)
       _CCIGATEWAY(NO) _TSCOLDSTART(YES) _TDCOLDSTART(YES)
       _TSNCOLDSTRT(YES) _TDNCOLDSTRT(YES) _DGCOLDSTART(YES)
       _SNABRACKET(NO) _TRACESTORE(YES) _TRACETASK(YES) _TRACEFILE(YES)
       _TRACEDUMP(YES) _TRACEPCP(YES) _TRACESRV(YES) _TRACECWS(YES)
       _TRACETSTD(YES) _TRACEINTRVL(YES) _TRACEJOURNL(YES)
       _TRACETABLE(YES) _TRACEUSER(YES) _TRACETERM(YES)
       _TRACECOMMS(YES) _AUXTRACE(NO) _TRACEMESSG(YES) _TRACECCI(YES)
       _TRACEAPI(YES) _TRACEUEXIT(YES) _CCIDDE(NO) _CCIIPX(NO)
       _CCINAMEP(NO) _CCINETBIOS(NO) _CCITCPIP(YES) _ENABTN3270(NO)
       _EXTERNSHUT(ALLOWED) _SECURITYKEY(64) _STGCUSHION(8)
       _DUMPONSYSAB(YES) _WAITONSEND(YES) _TDDEFREQD(NO)
       _DEVELOPMENT(YES) _DEFERPCT(NO) _MAXAUXDUMP(0) _FORCEPROG(YES)
       _TERMORIGSYS(NO) _TN3270PORT(23) _CICSREL(33) _FILESHARE(NO)
       _LOCALTRTSZ(341) _AUTOINSEXIT(DFHUAINS) _UNICLIGWAY(NO)
       _MQENABCONN(NO) _MQENABCKTI(NO) _MQQMGRNAME(QM_gg_xp)
       _TCPIPGWPORT(0) _TRANSTHOLD(0) _ENABTCLASS(NO) _CCSID(37)
       _DTIMEOUT(0) _RUNAWAY(0) _RTIMEOUT(0) _IDTIMEOUT(0)
DEFINE _STARTUPLIST(BANKCICV)
DESCRIPTION(CICS Bank Startup List (data n VSAM - cataloged))
       _GRP(DFHBMS) _GRP(DFHCONS) _GRP(DFHEDF) _GRP(DFHHARDC)
       _GRP(DFHISC) _GRP(DFHOPER) _GRP(DFHSIGN) _GRP(DFHSPI)
       _GRP(DFHVTAM) _GRP(BANKFIL3) _GRP(BANKGRPC) _GRP(BANKJES)
       _GRP(BANKIRDR) _GRP(BANKSIGN) _GRP(BANKTYPE) _GRP(BANKTERM)
